Bug 1569351 - provide standalone binaries for jdk 1.7.0.X, and jdk 1.8.0.X to download
Summary: provide standalone binaries for jdk 1.7.0.X, and jdk 1.8.0.X to download
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.8.0-openjdk
Version: 7.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Deepak Bhole
QA Contact: zzambers
URL:
Whiteboard:
Depends On:
Blocks: 1594286 1725255
TreeView+ depends on / blocked
 
Reported: 2018-04-19 06:34 UTC by xiaohui Wu
Modified: 2019-08-14 20:51 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-14 20:51:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description xiaohui Wu 2018-04-19 06:34:54 UTC
Description of problem:

We have received the recommendation from redhat team to use OpenJDK, instead of Oracle JDK. Redhat does not provide standalone binaries to install the JDK, the only way to install the openJDK is the 'yum install' way. 
Oracle provides the tar, zip format jdk to be downloaded.  Pls provide standalone binaries for openjdk 1.7.0.X, and openjdk 1.8.0.X etc to download.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 xiaohui Wu 2018-04-19 06:38:26 UTC
I am using Redhat middleware product, it is convenient to use the standalone binaries for jdk.

Comment 3 jiri vanek 2018-04-19 09:28:52 UTC
I do not belive any zips will be ever provided by official RH ways.  What is wrong  with RPMs that you do not wont them?

Anyway - there is http://adoptopenjdk.net/ - and RH is participate there. Maybe one day the builds here will be tested on rhel so much, that a stamp "rh recommended" will appear on that project.

Comment 4 xiaohui Wu 2018-04-20 01:57:24 UTC
thanks, I told the cu there is no OpenJDK binaries in tar/zip format available currently. So this is a feature request.

Comment from the cu: 
===
As Middleware admins we will not be able to use yum to install the jdk binaries. can you please provide standalone binaries for jdk 1.7.0.XXX, and jdk 1.8.0.XXX to download.
===

I think this feature request is reasonable. Java developer always unzip/untar the jdk distribution and set JAVA_HOME, path etc. It is convenient for them and they do not need to be familiar with the RHEL system itself. And for middleware product, they always choose to unzip the distribution too.

Comment 5 jiri vanek 2018-04-20 07:50:28 UTC
I cant agree with "always unzip is cool", but whatever tastes.
RPMs are heavily maintained and tested. No one will duplicate the resources on zips.

If you need zips, go through AdoptOpenJDK. I hope there will be jdk7 available in some time (aka I'm the one behind the pressure on that)

Comment 6 Deepak Bhole 2018-04-20 13:13:37 UTC
Would a script to convert rpm to zip suffice? Any such script/zip would be unsupported ofcourse..

Comment 14 jiri vanek 2018-08-22 13:53:44 UTC
What I had in mind is same.  Only instead of zip, cpio is used. So you download rpm image subpackage  (yum can do that) , and then you can uncpio it as you wish. Deepak had same idea, only he had additionally zip in that rpm, so you need uncpio | unzip. There are pros and cons  of both approaches.

So not zipped rpm, but zip/dir in zip-like rpm :)

For the example you have above, there is issue. Tapsets can't be made easily relocatable. They are to close related to debuginfo and the /usr/lib/jvm directory. Speaking of debug info, that can be another issue in approach Deepak mentioned, to reuse the build two times.

Comment 58 Deepak Bhole 2019-08-14 20:51:39 UTC
Latest Java 8 and 11 portable binaries are now available via CSP and will continue to be updated there.

At this time, there are no plans to produce portable OpenJDK7 binaries.


Note You need to log in before you can comment on or make changes to this bug.